package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxGuest;
import com.propertyManagement.business.domain.vo.WxGuestVo;
import com.propertyManagement.business.domain.bo.WxGuestBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 访客Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxGuestService {

    /**
     * 查询访客
     */
    WxGuestVo queryById(Long guestId);

    /**
     * 查询访客列表
     */
    TableDataInfo<WxGuestVo> queryPageList(WxGuestBo bo, PageQuery pageQuery);

    /**
     * 查询访客列表
     */
    List<WxGuestVo> queryList(WxGuestBo bo);

    /**
     * 小程序新增访客
     */
    Boolean add(WxGuestBo bo);

    /**
     * 新增访客
     */
    Boolean insertByBo(WxGuestBo bo);

    /**
     * 修改访客
     */
    Boolean updateByBo(WxGuestBo bo);

    /**
     * 校验并批量删除访客信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
